# Hello, World!

This app is a template you can use while learning how to publish your 
apps in the AI App Store.

* This app uses the `EnableOIDC` parameter of the `app.toml` to require 
users to login to use the app - then we can print their name to them.
* This app uses an `App Secret` in the `app.toml` for sharing 
environment-level information with the end user.


### App Structure

```
hello_world
│   .appignore              # Files that should not be imported into AI App Store
│   app.toml                # Configuration file for AI App Store
│   README.md               # Developer information about this app
│   requirements.txt        # Python modules needed to run this app
│
└───src                     # All python source code for this app
│   │   app.py              
│   │   ...
│   
└───static                  # Any static assets used in this app
    │   icon.png            # AI App Store icon for 
    │   screenshot-1.png    # Screenshots for the App Details page
    │   screenshot-2.png
    │   screenshot-3.png
```

### Local Development

Install the python modules needed for this app. It is recommended to create 
a virtual python environment.

```shell script
python3 -m venv venv
./venv/bin/pip install -r requirements.txt
```

Start the H2O Wave server and run your application code. You can reference 
the app with `src.app` or `src/app.py` when running locally.
```shell script
./venv/bin/pip wave src/app.py
```
